List Cash Settlements
curl --request GET \
--url https://api.example.com/api/v1/driver/cash-settlements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/driver/cash-settlements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/driver/cash-settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"cashSettlementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checkoutSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cooperativeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transportOperatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"declaredAmount": 1,
"submittedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submittedAt": "2023-11-07T05:31:56Z",
"confirmedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmedAt": "2023-11-07T05:31:56Z",
"rejectedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejectedAt": "2023-11-07T05:31:56Z",
"rejectionReason": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"limit": 10,
"page": 1,
"totalItems": 142,
"totalPages": 15
}
}{
"statusCode": 400,
"message": "Bad Request Error",
"errors": [
{
"code": "invalid_type",
"message": "Required",
"path": "name"
}
]
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}Cash Settlement
List Cash Settlements
Lists cash settlements associated with the authenticated driver.
GET
/
api
/
v1
/
driver
/
cash-settlements
List Cash Settlements
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Cash settlement status
Available options:
PENDING, CONFIRMED, REJECTED Checkout session identifier
Submission date range
Example:
">=2026-07-01;<=2026-07-31"
Available options:
submittedAt, declaredAmount, status Sort order
Available options:
asc, desc Comma-separated list of fields to include in the response. Supports dot notation for nested projection.
⌘I